summaryrefslogtreecommitdiffstats
path: root/source/a/pkgtools
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-12-29 20:34:54 +0000
committer Eric Hameleers <alien@slackware.com>2020-12-30 08:59:52 +0100
commit651d40d6d3b5ec8921993052339ec463b4b507ef (patch)
treeb1616d035f419f4455e6d4d334b41ee9640bfa9a /source/a/pkgtools
parenteae3926cf3efec6fbc3ce2b7df32c2ac37f90c77 (diff)
downloadcurrent-651d40d6d3b5ec8921993052339ec463b4b507ef.tar.gz
current-651d40d6d3b5ec8921993052339ec463b4b507ef.tar.xz
Tue Dec 29 20:34:54 UTC 202020201229203454
a/pkgtools-15.0-noarch-34.txz: Rebuilt. installpkg: run doinst.sh in a subshell for NOLOCK packages. removepkg: run uninstall scripts in a subshell. This avoids a bug when handling multiple packages where these scripts might be in the wrong directory when a new file/package is to be processed. Thanks to Mario Preksavec. ap/terminus-font-4.49.1-noarch-1.txz: Upgraded. d/git-2.30.0-x86_64-1.txz: Upgraded. d/python-setuptools-51.1.1-x86_64-1.txz: Upgraded. l/libproxy-0.4.17-x86_64-1.txz: Upgraded. l/netpbm-10.93.00-x86_64-1.txz: Upgraded. l/openjpeg-2.4.0-x86_64-1.txz: Upgraded. xap/hexchat-2.14.3-x86_64-5.txz: Rebuilt. Compile using -Dwith-python=python3-embed instead of -Dwith-python=python3 to ensure that /usr/lib*/hexchat/plugins/python.so is linked with libpython, otherwise the module will not load properly. Thanks to Mario Preksavec. xfce/xfce4-panel-profiles-1.0.12-x86_64-1.txz: Upgraded. xfce/xfce4-taskmanager-1.4.0-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/pkgtools')
-rwxr-xr-xsource/a/pkgtools/pkgtools.SlackBuild2
-rw-r--r--source/a/pkgtools/scripts/installpkg4
-rw-r--r--source/a/pkgtools/scripts/removepkg2
3 files changed, 4 insertions, 4 deletions
diff --git a/source/a/pkgtools/pkgtools.SlackBuild b/source/a/pkgtools/pkgtools.SlackBuild
index c92be7f40..d37ca0762 100755
--- a/source/a/pkgtools/pkgtools.SlackBuild
+++ b/source/a/pkgtools/pkgtools.SlackBuild
@@ -30,7 +30,7 @@ PKGNAM=pkgtools
# *** UPDATE THESE WITH EACH BUILD:
VERSION=15.0
ARCH=${ARCH:-noarch}
-BUILD=${BUILD:-33}
+BUILD=${BUILD:-34}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
diff --git a/source/a/pkgtools/scripts/installpkg b/source/a/pkgtools/scripts/installpkg
index f19cf59c0..ddd8e693b 100644
--- a/source/a/pkgtools/scripts/installpkg
+++ b/source/a/pkgtools/scripts/installpkg
@@ -677,9 +677,9 @@ EOF
# rather than spawning subshells which is slow on ARM. This will also speed up
# install script processing on any platform.
if [ -x /bin/bash ]; then
- cd $ROOT/ ; sed -e's?^( cd \([^;]*\);\(.*\) )$?pushd \1 \&\> /dev/null ; \2 ; popd \&\> /dev/null?g ' $INSTDIR/doinst.sh | /bin/bash
+ ( cd $ROOT/ ; sed -e's?^( cd \([^;]*\);\(.*\) )$?pushd \1 \&\> /dev/null ; \2 ; popd \&\> /dev/null?g ' $INSTDIR/doinst.sh | /bin/bash )
else
- cd $ROOT/ ; sh $INSTDIR/doinst.sh
+ ( cd $ROOT/ ; sh $INSTDIR/doinst.sh )
fi
else # use locking
# If bash is available, use sed to convert the install script to use pushd/popd
diff --git a/source/a/pkgtools/scripts/removepkg b/source/a/pkgtools/scripts/removepkg
index 5a1c7dcdd..ec9b4299a 100644
--- a/source/a/pkgtools/scripts/removepkg
+++ b/source/a/pkgtools/scripts/removepkg
@@ -411,7 +411,7 @@ remove_packages() {
fi
# If there is an uninstall script, run it here:
if [ -r $TMP/$PKGNAME ]; then
- cd $ROOT/ ; sh $TMP/$PKGNAME
+ ( cd $ROOT/ ; sh $TMP/$PKGNAME )
# Move the uninstall script to $LOG_DIR/removed_uninstall_scripts:
mv $TMP/$PKGNAME $LOG_DIR/removed_uninstall_scripts
fi